//*****************************************************************************
// Set.h: Interface of the CRandom class
//*****************************************************************************

#ifndef _RANDOM_
#define _RANDOM_

//*****************************************************************************
// Pseudorandom number generator
class CRandom
{
// Members
private:
	static ULONG m_ulSeed;
	ULONG m_ulStatus;

// Methods
public:
	CRandom(const ULONG ulValue = 0L);
	virtual ~CRandom(){}

	void Init(const ULONG ulValue);
	void Randomize();
	double Random();
};

#endif // _RANDOM_