// Condition.h: interface for the CCondition class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CONDITION_
#define _CONDITION_

class CCondition;

typedef vector<CCondition> TConditionVector;
typedef TConditionVector::iterator TConditionVectorIterator;

class CCondition : public IXMLNode  
{
public:
	string sVariable;
	string sOper;
	string sConst;

public:
	CCondition();
	virtual ~CCondition();

	KPDL_RESULT SetXML(IXMLDOMNodePtr &pNode);
	bool Evaluate(CQuery& cQuery);
};

#endif // _CONDITION_
