#ifndef _PARSER_MAIN_
#define _PARSER_MAIN_

#pragma warning (disable:4786)

/////////////////////////////////////////////////////////////////////
// External libraries
#include "logmain.h"

/////////////////////////////////////////////////////////////////////
// Platform dependent header files
#define VC_EXTRALEAN
#include <afx.h>

/////////////////////////////////////////////////////////////////////
// Standard header files
#include <math.h>
#include <string>
#include <vector>

using namespace std;

/////////////////////////////////////////////////////////////////////
// Library settings
#define _XML3_

#ifdef _XML3_
	#define DOM_DOCUMENT "MSXML2.DOMDocument.3.0"
	#import "msxml3.dll"
	using namespace MSXML2;
#else // _XML3_
	#define DOM_DOCUMENT "MSXML.DOMDocument"
	#import "msxml.dll"
	using namespace MSXML;
#endif // _XML3_

/////////////////////////////////////////////////////////////////////
// Library header files
#include "results.h"
#include "ixmlnode.h"
#include "query.h"
#include "condition.h"
#include "ruleparameter.h"
#include "action.h"
#include "rule.h"
#include "ruleengine.h"

#endif // _PARSER_MAIN_