// Query.cpp: implementation of the CCondition class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CQuery::~CQuery()
{
	TTermVectorIterator pIter = m_cTermList.begin();
	TTermVectorIterator pLast = m_cTermList.end();

	for(; pIter != pLast; pIter++)
	{
		delete *pIter;
	}

	m_cTermList.clear();
}

string CQuery::Evaluate(const string &sVarName)
{
	TTermVectorIterator pIter = m_cTermList.begin();
	TTermVectorIterator pLast = m_cTermList.end();

	for(; pIter != pLast; pIter++)
	{
		CTerm* pTerm = *pIter;
		if (pTerm->sName == sVarName)
			return pTerm->Evaluate();
	}

	return "";
}
