// RuleEngine.h: interface for the CRules class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _RULE_ENGINE_
#define _RULE_ENGINE_

class CRuleEngine
{
public:
	TRuleVector cRuleList;

public:
	CRuleEngine();
	virtual ~CRuleEngine();

	KPDL_RESULT LoadXML(const string &sFileName);
	
	KPDL_RESULT Evaluate(
		const string &sRuleName,
		CQuery& cQuery,
		TActionVector &cResult
	);
};

#endif // _RULE_ENGINE_
