#if !defined(AFX_COORDINATOR_H__AC762DE3_C3DA_11D4_BEC2_00C0CA122103__INCLUDED_)
#define AFX_COORDINATOR_H__AC762DE3_C3DA_11D4_BEC2_00C0CA122103__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Coordinator.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCoordinator thread

class CCoordinator : public CWinThread
{
	DECLARE_DYNCREATE(CCoordinator)
protected:
	CCoordinator();           // protected constructor used by dynamic creation

// Attributes
protected:
    CGameState *m_pGameState;
    CPerceptionSeq *m_pPerceptionSeq;
    CSystemClock* m_pSystemClock;
	CServerConnection* m_pServerConnection;	// objekt zabezpecujuci komunikaciu so serverom
    CServerMsgTranslator *m_pServerMsgTranslator;
    CServerCommunicator *m_pServerCommunicator;

    CSoccerAgent *m_pSoccerAgent;

protected:
    void Deliberate(CGameTime cGameTime, CPerceptionSeq *pPerceptionSeq, CGameCommandSeq *pGameCommandSeq);

// Operations
public:
	void OnMMTimer();
    void Handle();  // FIXME

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCoordinator)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
protected:
	MMRESULT m_wTimerID;
	UINT m_uTimerRes;
	virtual ~CCoordinator();

	// Generated message map functions
	//{{AFX_MSG(CCoordinator)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

// callback pre fast timer
void CALLBACK TimeProc(UINT uID, UINT uMsg, DWORD dwUser, DWORD dw1, DWORD dw2);

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COORDINATOR_H__AC762DE3_C3DA_11D4_BEC2_00C0CA122103__INCLUDED_)
