//*****************************************************************************
// Exception.h: Interface of the CException class
//*****************************************************************************

#ifndef _EXCEPTION_
#define _EXCEPTION_

//*****************************************************************************
// Simple exception class :)
class CException  
{
// Members
private:
	STR m_strMessage;

// Methods
public:
	CException(const STR strMessage)
	:	m_strMessage(NULL)
	{
		m_strMessage = new CHAR[strlen(strMessage) + 1];
		strcpy(m_strMessage, strMessage);
	}

	virtual ~CException()
	{
		if(m_strMessage != NULL)
		{
			delete m_strMessage;
			m_strMessage = NULL;
		}
	}

	const STR GetMessage()
	{
		return m_strMessage;
	}
};

#endif // _EXCEPTION_
