//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	WorldMain.h
 *  \brief Hlavny hlavickovy subor "modulu modela sveta"
 *  \author Mato Spal
 *  \date 12.3.2002 21:36:54
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _WORLD_MAIN_
#define _WORLD_MAIN_

#pragma warning (disable : 4786)

/////////////////////////////////////////////////////////////////////
// Platform dependent header
#define VC_EXTRALEAN
#include <afx.h>
// MFC support for Windows Common Controls
#include <afxcmn.h>

/////////////////////////////////////////////////////////////////////
// Standard header files
#include <math.h>
#include <vector>
#include <queue>
#include <algorithm>
#include <map>

using namespace std;

/////////////////////////////////////////////////////////////////////
// Library settings
#define GOT_SEE			1
#define GOT_SENSE_BODY	2
#define GOT_HEAR		4
#define GOT_ALL			7

/////////////////////////////////////////////////////////////////////
// Library header files
#include "results.h"
#include "dispatch.h"
#include "types.h"
#include "gametime.h"
#include "gamestate.h"
#include "systemclock.h"
#include "perceptiontypes.h"
#include "perception.h"
#include "gamecommand.h"
#include "worldgeometry.h"
#include "worldobjects.h"

/////////////////////////////////////////////////////////////////////
// Global objects


#endif // _WORLD_MAIN_