// LogFrame.h : interface of the CLogFrame class
/////////////////////////////////////////////////////////////////////////////

#ifndef _LOG_FRAME_
#define _LOG_FRAME_

class CLogFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CLogFrame)

private:
	// view for the client area of the frame.
	CLogView m_cLogView;

public:
	CLogFrame();
	virtual ~CLogFrame();

	//{{AFX_VIRTUAL(CLogFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& tCS);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CLogFrame)
	afx_msg void OnFileClose();
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}

#endif // _LOG_FRAME_
