// LogView.h : header file
/////////////////////////////////////////////////////////////////////////////

#ifndef _LOG_VIEW_
#define _LOG_VIEW_

/////////////////////////////////////////////////////////////////////////////
// CLogView window

class CLogView : public CWnd
{
private:
	// nastroje a objekty na vykreslovanie
	// smernik na pamatove zariadenie
	CDC *m_pDevice;
	// smernik na bitmapu v pamati, do ktorej sa zobrazuje
	CBitmap *m_pBitmap;
	// objekt uchovava rozmery okna
	CPoint m_cViewSize;
	// font zobrazovaneho textu
	CFont *m_pFont;

public:
	CLogView();
	virtual ~CLogView();

	//{{AFX_VIRTUAL(CLogView)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& tCS);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CLogView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDevice);
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT uiType, int iX, int iY);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}

#endif // _LOG_VIEW_
