#ifndef _NEURON_MAIN_
#define _NEURON_MAIN_

/////////////////////////////////////////////////////////////////////
// External libraries
#include "logmain.h"

/////////////////////////////////////////////////////////////////////
// Platform dependent header files
#define VC_EXTRALEAN
#include <afx.h>
#include <afxwin.h>

///////////////////////////////////////////////////////////////////////////////
// Standard header files
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <math.h>

/////////////////////////////////////////////////////////////////////
// Library settings
// Symbol of unidentificable pattern
#define UNIDENT_SYMBOL  '?'
// Precision for math exp calcultion
#define EXP_PREC_LIMIT  (1000.0)
// Array bounds chceking off
#undef CHECK_INDEX

/////////////////////////////////////////////////////////////////////
// Library header files
#include "results.h"
#include "item.h"
#include "list.h"
#include "random.h"
#include "vector.h"
#include "matrix.h"
#include "activate.h"
#include "layer.h"
#include "forward.h"
#include "recurent.h"

/////////////////////////////////////////////////////////////////////
// Global objects

#endif // _NEURON_MAIN_