// RuleParameter.h: interface for the CParameter class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _RULE_PARAMETER_
#define _RULE_PARAMETER_

class CRuleParameter;

typedef vector<CRuleParameter> TRuleParameterVector;
typedef TRuleParameterVector::iterator TRuleParameterVectorIterator;

class CRuleParameter : public IXMLNode  
{
public:
	string sName;
	string sValue;
	string sType;

public:
	CRuleParameter();
	virtual ~CRuleParameter();

	KPDL_RESULT SetXML(IXMLDOMNodePtr &pNode);
};

#endif // _RULE_PARAMETER_
