// Player.h: interface for the CLocalAgent class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _PLAYER_
#define _PLAYER_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// pre lokalne playmody, ak hrame vpravo, tak otoc posledny bit
#define LOCALPLAYMODE(s,x)  ((ELocalPlayMode)(((x)<PM_LOCALMODE)?(x):((s)==S_Left?(x):((int)x)^1)))
class CBasicSkillList;
class CLocalAgent: public CAgent, public CDispatch
{
public:
    // FIXME: asi by mali byt uz v CAgentovi
    CConfig *cfg;
    CLocalStaticField *field;

    CGameCommandSeq *actionseq;
    CBasicSkills *bskl;
    CFormationData *fdata;
    CFormationSkills *fskl;
    CTeamData *tdata;
    CTeamSkills *tskl;
	CBasicSkillList *listSkl;
	CHigherSkills* higherSkills;
	CStrategicSkills* strategicSkills;
    int m_last_catch;

	// zdedene z CDispatch
	CDispatch*	getDispatch( string sName );
	string		getAttribute( string sName );


protected:
    ELocalPlayMode m_playmode;

    bool m_bGoalie;

public:


public:
    ELocalPlayMode GetPlayMode()
    {
        return m_playmode;
    }

    ELocalPlayMode SetPlayMode(EPlayMode playmode)
    {
        return m_playmode = LOCALPLAYMODE(GetPlayerSide(), playmode);
    }

    bool IsGoalie()
    {
        return m_bGoalie;
    }

    double GetEffort() const
    {
        return m_effort;
    }

    CLocalAgent();
    virtual ~CLocalAgent();

    void Deliberate(CGameTime cGameTime, CPerceptionSeq *pPerceptionSeq, CGameCommandSeq *pSentCommandSeq, CGameCommandSeq *pGameCommandSeq);
    bool UpdatePlayerPosition(CSeenFlagsVect &_fFlags, CSeenGoalsVect &_gGoals, CSeenLinesVect &_lLines);//nasty&ughly
    bool UpdatePlayerProperties(CSenseBody *sense_body);
    bool UpdatePlayerSeenObjects(CPerception *Perception);
    void virtual Precompute();//nasty
};

#endif // _PLAYER_
