// PlayerApp.h : main header file for the PLAYER application
//

#ifndef _PLAYER_APP_
#define _PLAYER_APP_

// main symbols
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CPlayerApp: player applivation
class CPlayerApp : public CWinApp
{
private:
	// premenne uchovavaju nastavenie vizualizatora
	bool m_bDrawPerceptions;
	bool m_bDrawTeammateInfo;
	bool m_bDrawOpponentInfo;
	bool m_bDrawBallInfo;
	bool m_bDrawLocalAgentInfo;
	// casti okna
	HMENU m_hMDIMenu;
	HACCEL m_hMDIAccel;

public:
	CPlayerApp();
	virtual ~CPlayerApp();

	void OnFileTextNew();

	bool GetPerceptionsSetup( void ) { return m_bDrawPerceptions; };
	void SetPerceptionSetup( bool value ) {	m_bDrawPerceptions = value; };
	
	bool GetTeammateSetup( void ) { return m_bDrawTeammateInfo; };
	void SetTeammateSetup( bool value ) { m_bDrawTeammateInfo = value; };

	bool GetOpponentSetup( void ) { return m_bDrawOpponentInfo; };
	void SetOpponentSetup( bool value ) { m_bDrawOpponentInfo = value; };

	bool GetBallSetup( void ) { return m_bDrawBallInfo; };
	void SetBallSetup( bool value ) { m_bDrawBallInfo = value; };

	bool GetAgentSetup( void ) { return m_bDrawLocalAgentInfo; };
	void SetAgentSetup( bool value ) { m_bDrawLocalAgentInfo = value; };

	//{{AFX_VIRTUAL(CPlayerApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CPlayerApp)
	afx_msg void OnAppAbout();
	afx_msg void OnFileNew();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// Comand line parser
class CCmdLineInfo: public CCommandLineInfo
{
public:
    string m_sAgentCfgName;

public:
    CCmdLineInfo() { m_sAgentCfgName = "agent.conf"; }
    
	virtual void ParseParam(
		LPCTSTR lpszParam, 
		BOOL bFlag, 
		BOOL bLast
	);
};

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About
class CAboutDlg : public CDialog
{
public:
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	CString	m_sVersion;
	//}}AFX_DATA

public:
	CAboutDlg();

	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}

#endif // _PLAYER_APP_
