// StrategicSkills.h: interface for the CStrategicSkills class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __STRATEGICSKILLS_H
#define __STRATEGICSKILLS_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

typedef map<string,string> TVariableMap;

class CStrategicSkills : public CDispatch
{
public:
	
	CStrategicSkills( CLocalAgent* pAgent, const string &sFileName );
	virtual ~CStrategicSkills();

	void Deliberate();

	// zdedene z CDispatch
	CDispatch*	getDispatch( string sName );
	string		getAttribute( string sName );

private:
	CRuleEngine m_cRuleEngine;
	CLocalAgent *m_pAgent;
	CDispatchQuery m_cDispQuery;

	TVariableMap m_VarMap;
};

#endif // __STRATEGICSKILLS_H_
