//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	Pass.cpp
 *  \brief Prihravka spoluhracovy, zatial velmi jednoducho
 *  \author Rado Otipka 
 *  \date 10. 12. 2001 18:14:44
 *  \version 

 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

///////////////////////////////CPas/////////////////////////////////////////////
#include "stdafx.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CPass::CPass( TParameterBSkillsVector &parameter, CLocalAgent *pl, int priority ):CBasicSkill( BSKILL_PASS, priority, pl ) 
{
	m_playerNumber = pl->GetPlayerNumber();
	TParameterBSkillsVectorIterator index = parameter.begin();
	for( ; index != parameter.end(); index++ ) {
		if( index->name == VALUE_PLAYER ) 
				sscanf( index->value.data(), "%lf", &m_playerNumber ); 				
		if( index->name == VALUE_TYPE )
				sscanf( index->value.data(), "%d", &m_skillSkillType );			
	}
}

void CPass::Execute() 
{
	switch( m_skillSkillType ) {
	case BSKILL_PASS_TO:  
			PassToPlayer( m_playerNumber );
			break;
	}
}

//------------------------------------------------------
/*! \fn	void CPass::PassToPlayer( int number ) 
 *  \brief Jednoducha prihravka, pricom zatial neberiem do uvahy rychlost hraca a ani rychlost pohybujucej sa lopty
 *  \brief !este som to netestoval!
 *  \param  int number
 *  \return
 *  \author Rado Otipka 
 *  \date 5. 12. 2001 8:44:02

 *  \bug 
 */
//------------------------------------------------------
// Historia zmien:
//------------------------------------------------------
/*
 */
//------------------------------------------------------
void CPass::PassToPlayer( int number ) 
{
   if( number == GetAgent()->GetPlayerNumber() ) return; //mam nahrat sam sebe ?
   C2DVector posAgent(0,0);
   int agentsCount = GetAgent()->GetWorldModel()->GetIdentifiedAgentsCount();
   ESide tMySide = GetAgent()->GetPlayerSide();
   for(int i=0; i < agentsCount; i++) {
		CAgent *agent = GetAgent()->GetWorldModel()->GetIdentifiedAgent(i);
		if( agent->GetPlayerSide() == tMySide ) {
			if( agent->GetPlayerNumber() == number ) {
				posAgent = agent->GetPosition();
			}
		}
   }
   if( i == agentsCount ) return; //svojho agenta s takym cislom nevidim 
   else  {
	  CKick(BSKILL_KICK_TO_POSITION, 0, posAgent ,GetAgent(),0).Execute();
   }
}