#ifndef _PLAYER_MAIN_
#define _PLAYER_MAIN_

#pragma warning (disable : 4786 4503)

/////////////////////////////////////////////////////////////////////
// External libraries
#include "logmain.h"
#include "parsermain.h"
#include "worldmain.h"

/////////////////////////////////////////////////////////////////////
// Platform dependent header files
#define VC_EXTRALEAN
// MFC core and standard components
#include <afxwin.h>
// MFC extensions
#include <afxext.h>
// MFC Automation classes
#include <afxdisp.h>
// MFC Automation classes
#include <afxdtctl.h>
// MFC support for Windows Common Controls
#include <afxcmn.h>
// MFC container classes
#include <afxtempl.h>
// MFC socket extensions
#include <afxsock.h>

#include <winnt.h>
#include <comdef.h>
#include <mmsystem.h>

///////////////////////////////////////////////////////////////////////////////
// Standard header files
#include <math.h>
#include <string.h>
#include <string>
#include <vector>
#include <queue>
#include <algorithm>

using namespace std;

/////////////////////////////////////////////////////////////////////
// Library settings
#define PLAYER_VERSION "ver#2.10"

/////////////////////////////////////////////////////////////////////
// Library header files
#include "version.h"

typedef int Bool;

#include "results.h"
#include "largeint.h"
#include "types.h"
#include "perceptiontypes.h"
#include "formationtypes.h"

#include "config.h"

#include "timer.h"
#include "systemclock.h"

#include "gametime.h"
#include "gamestate.h"
#include "perception.h"
#include "gamecommand.h"

#include "visobject.h"
#include "visstaticfield.h"
#include "visperception.h"

#include "servermsg.h"
#include "serverconnection.h"
#include "servermsgtranslator.h"
#include "servercommunicator.h"

#include "staticfield.h"

#include "formations.h"
#include "formationdata.h"
#include "formationskills.h"

#include "parameterquery.h"

#include "skills.h"
#include "abstractbasicskills.h"
#include "teamskills.h"
#include "higherskills.h"
#include "strategicskills.h"

#include "player.h"
#include "socceragent.h"

#include "coordinator.h"

#include "playerapp.h"
#include "mainfrm.h"
#include "childview.h"
#include "childfrm.h"
#include "visualsetupdlg.h"

#include "todoclasses.h"
#include "todoevent.h"

/////////////////////////////////////////////////////////////////////
// Global objects

#endif // _PLAYER_MAIN_
