// DispatchQuery.h: interface for the CDispatchQuery class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __DISPATCHQUERY_H
#define __DISPATCHQUERY_H

#include "dispatch.h"

class CDispatchQuery : public CQuery
{
public:
	CDispatchQuery( CLocalAgent *pAgent = NULL );

	virtual ~CDispatchQuery();
	virtual string Evaluate(const string &sVarName);

private:
	CDispatch* getGlobalObject(const string &sName);
	CLocalAgent *m_pLocalAgent;
};

#endif // __DISPATCHQUERY_H
