//*****************************************************************************
// Stream.h: Interface of the CStream class
//*****************************************************************************

#ifndef _STREAM_
#define _STREAM_

//*****************************************************************************
class CStream
{
// Members
private:
	FILE *m_pFile;
	BOOL m_bClose;
	CHAR m_strBuffer[MAX_BUFFER + 1];

// Methods
public:
	CStream();
	virtual ~CStream();

	VOID Attach(FILE *pFile);
	VOID Open(const STR strName);
	
	VOID Close();

	CStream &operator >>(CHAR &cInput);
	CStream &operator >>(STR strInput);
	CStream &operator >>(INT &iInput);
	CStream &operator >>(REAL &rInput);

private:
	BOOL ReadElement(
		const INT iMaxSize
	);

};

#endif // _STREAM_
